View Issue Details

IDProjectCategoryView StatusLast Update
0001802SymmetricDSBugpublic2014-07-12 17:31
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.21 
Target Version3.6.2Fixed in Version3.6.2 
Summary0001802: DbExport does not handle BLOB on DB2
DescriptionDbExport does not handle BLOB or VARCHAR FOR BIT DATA on DB2. It writes out an insert statement with a literal hex string. It needs to be surrounded with blob(X'01FF') for use in an insert statement.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c29fd132

2014-07-10 21:48:47

erilong

Details Diff
0001802: DbExport does not handle BLOB on DB2
0001802
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseInfo.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/db2/Db2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File

Issue History

Date Modified Username Field Change
2014-07-10 18:43 elong New Issue
2014-07-10 18:43 elong Status new => assigned
2014-07-10 18:43 elong Assigned To => elong
2014-07-10 21:49 elong Status assigned => resolved
2014-07-10 21:49 elong Fixed in Version => 3.6.2
2014-07-10 21:49 elong Resolution open => fixed
2014-07-10 22:00 Changeset attached => SymmetricDS trunk r8459
2014-07-12 17:31 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master c29fd132